Garuda-update aborted (core dumped)

Hello.
I'll post the system details in comments
Today I tried running garuda-update and it showed a bunch of pacakges.

nvidia-510.47.03-6-x86_64                                                                                          27.6 MiB   872 KiB/s 00:32 [---------------------------------------------------------------------------------------] 100%
gcc-libs-11.2.0-3-x86_64                                                                                           30.6 MiB   767 KiB/s 00:41 [---------------------------------------------------------------------------------------] 100%
lib32-gcc-libs-11.2.0-3-x86_64                                                                                     27.0 MiB  1542 KiB/s 00:18 [---------------------------------------------------------------------------------------] 100%
gcc-11.2.0-3-x86_64                                                                                                42.3 MiB   746 KiB/s 00:58 [---------------------------------------------------------------------------------------] 100%
linux-zen-headers-5.16.9.zen1-1-x86_64                                                                             26.7 MiB  1461 KiB/s 00:19 [---------------------------------------------------------------------------------------] 100%
linux-lts-5.15.23-1-x86_64                                                                                        129.2 MiB  1924 KiB/s 01:09 [---------------------------------------------------------------------------------------] 100%
linux-lts-headers-5.15.23-1-x86_64                                                                                 25.0 MiB  1328 KiB/s 00:19 [---------------------------------------------------------------------------------------] 100%
nodejs-17.3.1-1-x86_64                                                                                              9.3 MiB  1497 KiB/s 00:06 [---------------------------------------------------------------------------------------] 100%
glibc-2.35-2-x86_64                                                                                                 9.9 MiB   728 KiB/s 00:14 [---------------------------------------------------------------------------------------] 100%
linux-zen-5.16.9.zen1-1-x86_64                                                                                    160.0 MiB  1885 KiB/s 01:27 [---------------------------------------------------------------------------------------] 100%
kio-5.91.0-1-x86_64                                                                                                 7.6 MiB   994 KiB/s 00:08 [---------------------------------------------------------------------------------------] 100%
breeze-icons-5.91.0-1-any                                                                                           6.6 MiB  1067 KiB/s 00:06 [---------------------------------------------------------------------------------------] 100%
qt5-base-5.15.2+kde+r298-1-x86_64                                                                                  12.9 MiB   436 KiB/s 00:30 [---------------------------------------------------------------------------------------] 100%
kwidgetsaddons-5.91.0-1-x86_64                                                                                      4.7 MiB  1283 KiB/s 00:04 [---------------------------------------------------------------------------------------] 100%
plasma-framework-5.91.0-1-x86_64                                                                                    4.0 MiB  1098 KiB/s 00:04 [---------------------------------------------------------------------------------------] 100%
resvg-0.21.0-1-x86_64                                                                                               5.7 MiB   995 KiB/s 00:06 [---------------------------------------------------------------------------------------] 100%
binutils-2.38-3-x86_64                                                                                              6.0 MiB   677 KiB/s 00:09 [---------------------------------------------------------------------------------------] 100%
lib32-glibc-2.35-2-x86_64                                                                                           3.5 MiB   967 KiB/s 00:04 [---------------------------------------------------------------------------------------] 100%
kdelibs4support-5.91.0-1-x86_64                                                                                     3.5 MiB   711 KiB/s 00:05 [---------------------------------------------------------------------------------------] 100%
ktexteditor-5.91.0-1-x86_64                                                                                         3.5 MiB   723 KiB/s 00:05 [---------------------------------------------------------------------------------------] 100%
kwayland-5.91.0-1-x86_64                                                                                            3.0 MiB   675 KiB/s 00:05 [---------------------------------------------------------------------------------------] 100%
libqalculate-4.0.0-1-x86_64                                                                                         2.4 MiB  1356 KiB/s 00:02 [---------------------------------------------------------------------------------------] 100%
util-linux-2.37.4-1-x86_64                                                                                          2.3 MiB   993 KiB/s 00:02 [---------------------------------------------------------------------------------------] 100%
qalculate-gtk-4.0.0-1-x86_64                                                                                        2.2 MiB  1041 KiB/s 00:02 [---------------------------------------------------------------------------------------] 100%
ki18n-5.91.0-1-x86_64                                                                                            1969.2 KiB   833 KiB/s 00:02 [---------------------------------------------------------------------------------------] 100%
knewstuff-5.91.0-1-x86_64                                                                                        1935.2 KiB   889 KiB/s 00:02 [---------------------------------------------------------------------------------------] 100%
kemoticons-5.91.0-1-x86_64                                                                                       1867.0 KiB   542 KiB/s 00:03 [---------------------------------------------------------------------------------------] 100%
kxmlgui-5.91.0-1-x86_64                                                                                          1706.4 KiB   463 KiB/s 00:04 [---------------------------------------------------------------------------------------] 100%
networkmanager-qt-5.91.0-1-x86_64                                                                                1700.4 KiB   330 KiB/s 00:05 [---------------------------------------------------------------------------------------] 100%
frameworkintegration-5.91.0-1-x86_64                                                                             1588.1 KiB   396 KiB/s 00:04 [---------------------------------------------------------------------------------------] 100%
qpdf-10.6.1-1-x86_64                                                                                             1508.6 KiB   435 KiB/s 00:03 [---------------------------------------------------------------------------------------] 100%
kcalendarcore-5.91.0-1-x86_64                                                                                    1416.1 KiB   504 KiB/s 00:03 [---------------------------------------------------------------------------------------] 100%
syntax-highlighting-5.91.0-1-x86_64                                                                              1396.1 KiB   645 KiB/s 00:02 [---------------------------------------------------------------------------------------] 100%
npm-8.5.0-1-any                                                                                                  1391.0 KiB   490 KiB/s 00:03 [---------------------------------------------------------------------------------------] 100%
kcoreaddons-5.91.0-1-x86_64                                                                                      1331.2 KiB   664 KiB/s 00:02 [---------------------------------------------------------------------------------------] 100%
linux-api-headers-5.16.8-1-any                                                                                   1165.3 KiB   574 KiB/s 00:02 [---------------------------------------------------------------------------------------] 100%
kconfigwidgets-5.91.0-1-x86_64                                                                                   1151.8 KiB   967 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
man-db-2.10.1-1-x86_64                                                                                           1065.5 KiB  1063 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
kunitconversion-5.91.0-1-x86_64                                                                                  1044.3 KiB  1019 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
kconfig-5.91.0-1-x86_64                                                                                          1044.1 KiB  1073 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
kparts-5.91.0-1-x86_64                                                                                           1022.6 KiB  1034 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
syndication-5.91.0-1-x86_64                                                                                      1019.3 KiB  1071 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
bluez-qt-5.91.0-1-x86_64                                                                                          980.6 KiB   998 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
ktextwidgets-5.91.0-1-x86_64                                                                                      860.2 KiB   848 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
solid-5.91.0-1-x86_64                                                                                             824.7 KiB   773 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
kcontacts-1:5.91.0-1-x86_64                                                                                       793.8 KiB   795 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
kwindowsystem-5.91.0-1-x86_64                                                                                     782.4 KiB   836 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
kservice-5.91.0-1-x86_64                                                                                          719.0 KiB  1093 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
kcmutils-5.91.0-1-x86_64                                                                                          693.6 KiB  1091 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
linux-5.16.9.arch1-1-x86_64                                                                                       138.5 MiB  1482 KiB/s 01:36 [---------------------------------------------------------------------------------------] 100%
sonnet-5.91.0-1-x86_64                                                                                            658.1 KiB  1371 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kitemmodels-5.91.0-1-x86_64                                                                                       635.9 KiB  1350 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kcompletion-5.91.0-1-x86_64                                                                                       621.9 KiB  1620 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
nano-6.1-1-x86_64                                                                                                 601.0 KiB  1366 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kirigami2-5.91.0-1-x86_64                                                                                         591.8 KiB  1342 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kbookmarks-5.91.0-1-x86_64                                                                                        586.8 KiB  1003 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
baloo-5.91.0-1-x86_64                                                                                             574.5 KiB  1074 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
elfutils-0.186-5-x86_64                                                                                           569.1 KiB  1251 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
python-setuptools-1:59.3.0-1-any                                                                                  562.3 KiB  1593 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
modemmanager-qt-5.91.0-1-x86_64                                                                                   556.2 KiB  1655 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
attica-5.91.0-1-x86_64                                                                                            545.5 KiB  1399 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kdeclarative-5.91.0-1-x86_64                                                                                      537.3 KiB  1043 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
libelf-0.186-5-x86_64                                                                                             532.3 KiB  1054 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
extra-cmake-modules-5.91.0-1-any                                                                                  528.9 KiB   960 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
kiconthemes-5.91.0-1-x86_64                                                                                       513.3 KiB  1373 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kitemviews-5.91.0-1-x86_64                                                                                        510.4 KiB  1245 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kwallet-5.91.0-1-x86_64                                                                                           496.8 KiB  1294 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
knotifications-5.91.0-1-x86_64                                                                                    479.9 KiB  1108 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
threadweaver-5.91.0-1-x86_64                                                                                      458.7 KiB  1067 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
libtool-2.4.6+59+gb55b1cc8-2-x86_64                                                                               409.8 KiB  1032 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
mpfr-4.1.0.p13-2-x86_64                                                                                           404.9 KiB  1054 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kpeople-5.91.0-1-x86_64                                                                                           397.0 KiB  1100 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kholidays-1:5.91.0-1-x86_64                                                                                       396.6 KiB  1170 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kfilemetadata-5.91.0-1-x86_64                                                                                     392.3 KiB  1049 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
krunner-5.91.0-1-x86_64                                                                                           390.4 KiB  1087 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kjs-5.91.0-1-x86_64                                                                                               388.4 KiB  1170 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
karchive-5.91.0-1-x86_64                                                                                          380.5 KiB  1212 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
lib32-util-linux-2.37.4-1-x86_64                                                                                  376.0 KiB  1106 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kcodecs-5.91.0-1-x86_64                                                                                           354.8 KiB   997 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
util-linux-libs-2.37.4-1-x86_64                                                                                   350.9 KiB  1011 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kpackage-5.91.0-1-x86_64                                                                                          338.5 KiB   975 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
purpose-5.91.0-1-x86_64                                                                                           338.3 KiB  1016 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kguiaddons-5.91.0-1-x86_64                                                                                        325.3 KiB  1026 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kactivities-5.91.0-1-x86_64                                                                                       324.3 KiB  1036 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kjobwidgets-5.91.0-1-x86_64                                                                                       321.1 KiB   950 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kauth-5.91.0-1-x86_64                                                                                             314.6 KiB   826 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kdnssd-5.91.0-1-x86_64                                                                                            313.0 KiB  1003 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kactivities-stats-5.91.0-1-x86_64                                                                                 285.6 KiB   768 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kglobalaccel-5.91.0-1-x86_64                                                                                      257.0 KiB   985 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kdesu-5.91.0-1-x86_64                                                                                             241.7 KiB   999 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kdbusaddons-5.91.0-1-x86_64                                                                                       236.4 KiB  1019 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
libbpf-0.7.0-1-x86_64                                                                                             221.3 KiB   820 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kpty-5.91.0-1-x86_64                                                                                              204.9 KiB   899 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
knotifyconfig-5.91.0-1-x86_64                                                                                     204.6 KiB  1071 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
prison-5.91.0-1-x86_64                                                                                            171.3 KiB   836 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kidletime-5.91.0-1-x86_64                                                                                         142.2 KiB   664 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kimageformats-5.91.0-1-x86_64                                                                                     141.3 KiB   552 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kcrash-5.91.0-1-x86_64                                                                                            132.5 KiB   649 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kinit-5.91.0-1-x86_64                                                                                             128.8 KiB   654 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kwin-scripts-forceblur-0.6.1-1-any                                                                                201.6 KiB   371 KiB/s 00:01 [---------------------------------------------------------------------------------------] 100%
kquickcharts-5.91.0-1-x86_64                                                                                      118.7 KiB   512 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
python-requests-2.27.0-1-any                                                                                       93.9 KiB   484 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
qqc2-desktop-style-5.91.0-1-x86_64                                                                                 76.7 KiB   301 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
kded-5.91.0-1-x86_64                                                                                               55.1 KiB   264 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
libsysprof-capture-3.42.1-3-x86_64                                                                                 45.3 KiB   192 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
perl-file-mimeinfo-0.31-1-any                                                                                      40.9 KiB   144 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
python-filelock-3.4.1-1-any                                                                                        15.7 KiB  94.8 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
bbswitch-dkms-0.8-485-x86_64                                                                                        7.6 KiB  23.2 KiB/s 00:00 [---------------------------------------------------------------------------------------] 100%
google-chrome-98.0.4758.102-1-x86_64                                                                              116.6 MiB   935 KiB/s 02:08 [---------------------------------------------------------------------------------------] 100%
Total (109/109)                                                                                                   877.2 MiB  6.87 MiB/s 02:08 [---------------------------------------------------------------------------------------] 100%

Here are the few errors and abort calls I got-

==> dkms install --no-depmod bbswitch/0.8 -k 5.16.9-zen1-1-zen
==> dkms install --no-depmod bbswitch/0.8 -k 5.15.23-1-lts
Error! Bad return status for module build on kernel: 5.15.23-1-lts (x86_64)
Consult /var/lib/dkms/bbswitch/0.8/build/make.log for more information.
==> WARNING: `dkms install --no-depmod bbswitch/0.8 -k 5.15.23-1-lts' exited 10
==> dkms install --no-depmod bbswitch/0.8 -k 5.16.8-zen1-1-zen
Error! Bad return status for module build on kernel: 5.16.8-zen1-1-zen (x86_64)
Consult /var/lib/dkms/bbswitch/0.8/build/make.log for more information.
==> WARNING: `dkms install --no-depmod bbswitch/0.8 -k 5.16.8-zen1-1-zen' exited 10
==> dkms install --no-depmod nvidia/510.47.03 -k 5.15.23-1-lts
Error! Bad return status for module build on kernel: 5.15.23-1-lts (x86_64)
Consult /var/lib/dkms/nvidia/510.47.03/build/make.log for more information.
==> WARNING: `dkms install --no-depmod nvidia/510.47.03 -k 5.15.23-1-lts' exited 10
==> dkms install --no-depmod vboxhost/6.1.32_OSE -k 5.15.23-1-lts
Error! Bad return status for module build on kernel: 5.15.23-1-lts (x86_64)
Consult /var/lib/dkms/vboxhost/6.1.32_OSE/build/make.log for more information.
dkms install --no-depmod acpi_call/1.2.2 -k 5.15.23-1-lts
Error! Bad return status for module build on kernel: 5.15.23-1-lts (x86_64)
Consult /var/lib/dkms/acpi_call/1.2.2/build/make.log for more information.
==> WARNING: `dkms install --no-depmod acpi_call/1.2.2 -k 5.15.23-1-lts' exited 10
==> dkms install --no-depmod v4l2loopback/0.12.5 -k 5.15.23-1-lts
Deprecated feature: REMAKE_INITRD
Error! Bad return status for module build on kernel: 5.15.23-1-lts (x86_64)
Consult /var/lib/dkms/v4l2loopback/0.12.5/build/make.log for more information.
==> WARNING: `dkms install --no-depmod v4l2loopback/0.12.5 -k 5.15.23-1-lts' exited 10
==> depmod 5.16.9-zen1-1-zen
==> ERROR: Missing 5.16.9-arch1-1 kernel headers for module nvidia/510.47.03.
==> ERROR: Missing 5.16.9-arch1-1 kernel headers for module vboxhost/6.1.32_OSE.
==> ERROR: Missing 5.16.9-arch1-1 kernel headers for module acpi_call/1.2.2.
==> ERROR: Missing 5.16.9-arch1-1 kernel headers for module elan_i2c-5.3.x/1.
==> ERROR: Missing 5.16.9-arch1-1 kernel headers for module elan_i2c-4.19-rc4/1.
==> ERROR: Missing 5.16.9-arch1-1 kernel headers for module v4l2loopback/0.12.5.
==> ERROR: Missing 5.16.9-arch1-1 kernel headers for module bbswitch/0.8.

.
.
.
.
.
(20/22) Updating the info directory file...
(21/22) Updating the desktop file MIME type cache...
(22/22) Syncing all file systems...
/usr/bin/garuda-update: line 121:  4186 Aborted                 (core dumped) LANG=C /usr/lib/garuda/garuda-update/auto-pacman $PACMAN "${pacman_args[@]}"

After re-rerunning garuda-update it does not rebuild anything and shows nothing to do

system-

System:
Kernel: 5.16.8-zen1-1-zen x86_64 bits: 64 compiler: gcc v: 11.1.0
parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-zen
root=UUID=733f468d-fbc6-45d3-9342-5dbe48047967 rw [email protected]
splash rd.udev.log_priority=3 vt.global_cursor_default=0
systemd.unified_cgroup_hierarchy=1 loglevel=3
Desktop: KDE Plasma 5.24.0 tk: Qt 5.15.2 info: latte-dock wm: kwin_x11
vt: 1 dm: SDDM Distro: Garuda Linux base: Arch Linux
Machine:
Type: Laptop System: HP product: OMEN Laptop 15-en0xxx v: N/A
serial: <superuser required> Chassis: type: 10 serial: <superuser required>
Mobo: HP model: 8787 v: 22.54 serial: <superuser required> UEFI: AMI
v: F.07 date: 09/16/2020
Battery:
ID-1: BAT0 charge: 65.4 Wh (100.0%) condition: 65.4/65.4 Wh (100.0%)
volts: 12.6 min: 11.6 model: Hewlett-Packard Primary type: Li-ion
serial: N/A status: Full cycles: 588
CPU:
Info: model: AMD Ryzen 7 4800H with Radeon Graphics bits: 64 type: MT MCP
arch: Zen 2 family: 0x17 (23) model-id: 0x60 (96) stepping: 1
microcode: 0x8600103
Topology: cpus: 1x cores: 8 tpc: 2 threads: 16 smt: enabled cache:
L1: 512 KiB desc: d-8x32 KiB; i-8x32 KiB L2: 4 MiB desc: 8x512 KiB
L3: 8 MiB desc: 2x4 MiB
Speed (MHz): avg: 1853 high: 3471 min/max: 1400/2900 boost: disabled
scaling: driver: acpi-cpufreq governor: performance cores: 1: 3471 2: 1505
3: 2360 4: 1416 5: 1457 6: 1395 7: 1566 8: 2180 9: 2767 10: 2390 11: 1364
12: 1974 13: 1409 14: 1516 15: 1397 16: 1485 bogomips: 92630
Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm
Vulnerabilities:
Type: itlb_multihit status: Not affected
Type: l1tf status: Not affected
Type: mds status: Not affected
Type: meltdown status: Not affected
Type: spec_store_bypass
mitigation: Speculative Store Bypass disabled via prctl
Type: spectre_v1
mitigation: usercopy/swapgs barriers and __user pointer sanitization
Type: spectre_v2 mitigation: Full AMD retpoline, IBPB: conditional,
IBRS_FW, STIBP: conditional, RSB filling
Type: srbds status: Not affected
Type: tsx_async_abort status: Not affected
Graphics:
Device-1: NVIDIA TU106M [GeForce RTX 2060 Mobile] vendor: Hewlett-Packard
driver: nvidia v: 510.47.03 alternate: nouveau,nvidia_drm bus-ID: 01:00.0
chip-ID: 10de:1f15 class-ID: 0300
Device-2: AMD Renoir vendor: Hewlett-Packard driver: amdgpu v: kernel
bus-ID: 06:00.0 chip-ID: 1002:1636 class-ID: 0300
Device-3: Luxvisions Innotech Limited HP Wide Vision HD Camera type: USB
driver: uvcvideo bus-ID: 3-3:3 chip-ID: 30c9:000e class-ID: 0e02
Display: x11 server: X.Org 1.21.1.3 compositor: kwin_x11 driver:
loaded: amdgpu,nvidia display-ID: :0 screens: 1
Screen-1: 0 s-res: 3840x1200 s-dpi: 96 s-size: 1013x316mm (39.9x12.4")
s-diag: 1061mm (41.8")
Monitor-1: eDP res: 1920x1080 hz: 144 dpi: 142
size: 344x194mm (13.5x7.6") diag: 395mm (15.5")
Monitor-2: HDMI-1-0 res: 1920x1200 hz: 60 dpi: 94
size: 518x324mm (20.4x12.8") diag: 611mm (24.1")
OpenGL: renderer: AMD RENOIR (DRM 3.44.0 5.16.8-zen1-1-zen LLVM 13.0.0)
v: 4.6 Mesa 21.3.5 direct render: Yes
Audio:
Device-1: NVIDIA TU106 High Definition Audio vendor: Hewlett-Packard
driver: snd_hda_intel v: kernel bus-ID: 01:00.1 chip-ID: 10de:10f9
class-ID: 0403
Device-2: AMD Raven/Raven2/FireFlight/Renoir Audio Processor
vendor: Hewlett-Packard driver: snd_rn_pci_acp3x v: kernel
alternate: snd_pci_acp3x,snd_pci_acp5x,snd_pci_acp6x bus-ID: 06:00.5
chip-ID: 1022:15e2 class-ID: 0480
Device-3: AMD Family 17h HD Audio vendor: Hewlett-Packard
driver: snd_hda_intel v: kernel bus-ID: 06:00.6 chip-ID: 1022:15e3
class-ID: 0403
Sound Server-1: ALSA v: k5.16.8-zen1-1-zen running: yes
Sound Server-2: PulseAudio v: 15.0 running: no
Sound Server-3: PipeWire v: 0.3.45 running: yes
Network:
Device-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet
vendor: Hewlett-Packard driver: r8169 v: kernel port: e000 bus-ID: 02:00.0
chip-ID: 10ec:8168 class-ID: 0200
IF: eno1 state: down mac: <filter>
Device-2: Intel Wi-Fi 6 AX200 driver: iwlwifi v: kernel bus-ID: 03:00.0
chip-ID: 8086:2723 class-ID: 0280
IF: wlo1 state: up mac: <filter>
Bluetooth:
Device-1: Intel AX200 Bluetooth type: USB driver: btusb v: 0.8
bus-ID: 3-4:4 chip-ID: 8087:0029 class-ID: e001
Report: bt-adapter ID: hci0 rfk-id: 1 state: down
bt-service: enabled,running rfk-block: hardware: no software: yes
address: <filter>
Drives:
Local Storage: total: 953.87 GiB used: 221.35 GiB (23.2%)
SMART Message: Unable to run smartctl. Root privileges required.
ID-1: /dev/nvme0n1 maj-min: 259:0 vendor: Micron
model: MTFDHBA1T0TDV-1AZ1AABHA size: 953.87 GiB block-size: physical: 512 B
logical: 512 B speed: 31.6 Gb/s lanes: 4 type: SSD serial: <filter>
rev: HPS0032 temp: 40.9 C scheme: GPT
Partition:
ID-1: / raw-size: 300 GiB size: 300 GiB (100.00%) used: 57.52 GiB (19.2%)
fs: btrfs dev: /dev/nvme0n1p3 maj-min: 259:3
ID-2: /boot/efi raw-size: 260 MiB size: 256 MiB (98.46%)
used: 64.4 MiB (25.2%) fs: vfat dev: /dev/nvme0n1p1 maj-min: 259:1
ID-3: /home raw-size: 300 GiB size: 300 GiB (100.00%)
used: 57.52 GiB (19.2%) fs: btrfs dev: /dev/nvme0n1p3 maj-min: 259:3
ID-4: /var/log raw-size: 300 GiB size: 300 GiB (100.00%)
used: 57.52 GiB (19.2%) fs: btrfs dev: /dev/nvme0n1p3 maj-min: 259:3
ID-5: /var/tmp raw-size: 300 GiB size: 300 GiB (100.00%)
used: 57.52 GiB (19.2%) fs: btrfs dev: /dev/nvme0n1p3 maj-min: 259:3
Swap:
Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default)
ID-1: swap-1 type: zram size: 15.06 GiB used: 0 KiB (0.0%) priority: 100
dev: /dev/zram0
Sensors:
System Temperatures: cpu: 67.0 C mobo: N/A gpu: amdgpu temp: 52.0 C
Fan Speeds (RPM): cpu: 3401 fan-2: 3111
Info:
Processes: 440 Uptime: 11m wakeups: 1 Memory: 15.06 GiB
used: 5.93 GiB (39.4%) Init: systemd v: 250 tool: systemctl Compilers:
gcc: 11.2.0 clang: 13.0.1 Packages: pacman: 1641 lib: 381 Shell: fish
v: 3.3.1 default: Bash v: 5.1.16 running-in: konsole inxi: 3.3.12
Garuda (2.5.4-2):
System install date:     2022-02-11
Last full system update: 2022-02-15
Is partially upgraded:   No
Relevant software:       tlp NetworkManager
Windows dual boot:       Probably (Run as root to verify)
Snapshots:               Timeshift (maybe)
Failed units:            bluetooth-autoconnect.service fangfrisch.service

Presumably you're missing the linux-headers package for the stock kernel, although you're using linux-zen anyway, so idk if you'd even need the normal linux kernel here. Looks like some modules are also failing to build, which isn't ideal, but I'd ask myself if you even need those modules in the first place. You shouldn't need bbswitch here at all for example.

I don't know why the last aborted line happened, but it shouldn't matter in this case.

I do switch to linux-lts sometimes when I need to work on virtualbox, so do i need to install the linux-headers

Also my laptop uses Optimus so I do need bbswitch

after installing linux-headers I still get the build failed

DKMS make.log for bbswitch-0.8 for kernel 5.15.23-1-lts (x86_64)
Tuesday 15 February 2022 12:23:38 PM IST
make -C /lib/modules/5.15.23-1-lts/build M="$(pwd)" modules
make[1]: Entering directory '/usr/lib/modules/5.15.23-1-lts/build'
  CC [M]  /var/lib/dkms/bbswitch/0.8/build/bbswitch.o
cc1: error: incompatible gcc/plugin versions
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/bbswitch/0.8/build/bbswitch.o] Error 1
make[1]: *** [Makefile:1868: /var/lib/dkms/bbswitch/0.8/build] Error 2
make[1]: Leaving directory '/usr/lib/modules/5.15.23-1-lts/build'
make: *** [Makefile:13: default] Error 2

for virtualbox-

DKMS make.log for vboxhost-6.1.32_OSE for kernel 5.15.23-1-lts (x86_64)
Tuesday 15 February 2022 12:26:07 PM IST
make: Entering directory '/usr/lib/modules/5.15.23-1-lts/build'
  CC [M]  /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxnetflt/linux/VBoxNetFlt-linux.o
  CC [M]  /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxnetadp/linux/VBoxNetAdp-linux.o
  CC [M]  /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxnetflt/VBoxNetFlt.o
  CC [M]  /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxnetadp/VBoxNetAdp.o
  CC [M]  /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxnetflt/SUPR0IdcClient.o
  CC [M]  /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxnetflt/SUPR0IdcClientComponent.o
  CC [M]  /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxdrv/linux/SUPDrv-linux.o
  CC [M]  /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxnetflt/linux/SUPR0IdcClient-linux.o
  CC [M]  /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxdrv/SUPDrv.o
cc1: error: incompatible gcc/plugin versions
cc1: error: incompatible gcc/plugin versions
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
cc1: error: incompatible gcc/plugin versions
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
cc1: error: incompatible gcc/plugin versions
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
  CC [M]  /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxdrv/SUPDrvGip.o
cc1: error: incompatible gcc/plugin versions
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
cc1: error: incompatible gcc/plugin versions
cc1: error: incompatible gcc/plugin versions
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
  CC [M]  /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxdrv/SUPDrvSem.o
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxnetflt/SUPR0IdcClientComponent.o] Error 1
make[2]: *** Waiting for unfinished jobs....
cc1: error: incompatible gcc/plugin versions
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
cc1: error: incompatible gcc/plugin versions
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
  CC [M]  /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxdrv/SUPDrvTracer.o
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxnetflt/linux/SUPR0IdcClient-linux.o] Error 1
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxnetadp/linux/VBoxNetAdp-linux.o] Error 1
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxnetflt/SUPR0IdcClient.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxnetflt/VBoxNetFlt.o] Error 1
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxnetadp/VBoxNetAdp.o] Error 1
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxnetflt/linux/VBoxNetFlt-linux.o] Error 1
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxdrv/linux/SUPDrv-linux.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxdrv/SUPDrv.o] Error 1
  CC [M]  /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxdrv/SUPLibAll.o
make[1]: *** [scripts/Makefile.build:540: /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxnetadp] Error 2
make[1]: *** Waiting for unfinished jobs....
cc1: error: incompatible gcc/plugin versions
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
make[1]: *** [scripts/Makefile.build:540: /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxnetflt] Error 2
cc1: error: incompatible gcc/plugin versions
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxdrv/SUPDrvGip.o] Error 1
  CC [M]  /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxdrv/r0drv/alloc-r0drv.o
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxdrv/SUPDrvSem.o] Error 1
cc1: error: incompatible gcc/plugin versions
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
cc1: error: incompatible gcc/plugin versions
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxdrv/SUPDrvTracer.o] Error 1
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxdrv/SUPLibAll.o] Error 1
cc1: error: incompatible gcc/plugin versions
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
make[2]: *** [scripts/Makefile.build:277: /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxdrv/r0drv/alloc-r0drv.o] Error 1
make[1]: *** [scripts/Makefile.build:540: /var/lib/dkms/vboxhost/6.1.32_OSE/build/vboxdrv] Error 2
make: *** [Makefile:1868: /var/lib/dkms/vboxhost/6.1.32_OSE/build] Error 2
make: Leaving directory '/usr/lib/modules/5.15.23-1-lts/build'

You need to install linux-lts-headers

Oh! This is due to new stuff (GCC, binutils, ..) reaching Arch repos finally :eyes:

3 Likes

Thanks for the info! I was having similar issues, so I was looking around all day and I couldn't find what was going on. So just have to sit tight and wait on this one?

As for the kernels in our repo: we are on it. I guess the Arch team also follows up with updates :eyes:

3 Likes

Alright, I had to use timeshift on this one cause after the next reboot a bunch of things failed and linux-lts did not boot

Funnily teams stopped working, Now I have a legit excuse to not attend my classes
:smile:

You have a 2060, your card supports prime render offloading, the heck do you need bbswitch for????

2 Likes

I have no clue but if i remove it display stops working

Also this-

removing bbswitch-dkms breaks dependency 'bbswitch-dkms' required by garuda-optimus-manager-config

This package isn't needed if you don't have the linux kernel installed, and it will very likely conflict with nvidia-dkms too.

Update again, this is fixed with 5.15.23-2.

1 Like

I plan to update once the MS Teams AUR package gets fixed

Thank you

2 posts were merged into an existing topic: Safe to update with the new glibc and gcc updates?

Hey there, I checked before posting this, haven't found anything similar.

Is it safe to update right now with the new gcc and glibc updated?

Asking because I tried update and got an abort.

(21/21) Syncing all file systems...
/usr/bin/garuda-update: line 121:  3184 Aborted   (core dumped)
LANG=C /usr/lib/garuda/garuda-update/auto-pacman $PACMAN "${pacman_args[@]}"

I have only experimented with it, but running it again shows success. Right now I've reverted back to previous image using Snapper just to avoid any issues.

Could someone expand on the error I got and if it is safe to run update (needed to run twice to get 1 update) for me?

╰─ inxi -Faz
System:
Kernel: 5.16.8-zen1-1-zen x86_64 bits: 64 compiler: gcc v: 11.1.0
parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-zen
root=UUID=2e41d0ad-de12-458a-acbc-0d038037b38c rw [email protected]
cryptdevice=UUID=c2083ab5-e739-4b3e-af73-4c63321909c4:luks-c2083ab5-e739-
4b3e-af73-4c63321909c4
root=/dev/mapper/luks-c2083ab5-e739-4b3e-af73-4c63321909c4 quiet
splash rd.udev.log_priority=3 vt.global_cursor_default=0 loglevel=3
modprobe.blacklist=nouveau
Desktop: KDE Plasma 5.24.0 tk: Qt 5.15.2 info: latte-dock wm: kwin_x11
vt: 1 dm: SDDM Distro: Garuda Linux base: Arch Linux
Machine:
Type: Laptop System: ASUSTeK product: ROG Zephyrus G14 GA401II_GA401II
v: 1.0 serial: <superuser required>
Mobo: ASUSTeK model: GA401II v: 1.0 serial: <superuser required>
UEFI: American Megatrends v: GA401II.219 date: 12/30/2020
Battery:
ID-1: BAT0 charge: 60.0 Wh (81.1%) condition: 74.0/76.0 Wh (97.4%)
volts: 15.8 min: 15.8 model: ASUSTeK ASUS Battery type: Li-ion
serial: N/A status: Not charging
CPU:
Info: model: AMD Ryzen 5 4600HS with Radeon Graphics bits: 64
type: MT MCP arch: Zen 2 family: 0x17 (23) model-id: 0x60 (96)
stepping: 1 microcode: 0x8600104
Topology: cpus: 1x cores: 6 tpc: 2 threads: 12 smt: enabled cache:
L1: 384 KiB desc: d-6x32 KiB; i-6x32 KiB L2: 3 MiB desc: 6x512 KiB
L3: 8 MiB desc: 2x4 MiB
Speed (MHz): avg: 1560 high: 2086 min/max: 1400/3000 boost: disabled
scaling: driver: acpi-cpufreq governor: schedutil cores: 1: 1397 2: 1804
3: 1945 4: 1686 5: 1383 6: 1397 7: 1447 8: 2086 9: 1397 10: 1391
11: 1397 12: 1397 bogomips: 71868
Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm
Vulnerabilities:
Type: itlb_multihit status: Not affected
Type: l1tf status: Not affected
Type: mds status: Not affected
Type: meltdown status: Not affected
Type: spec_store_bypass
mitigation: Speculative Store Bypass disabled via prctl
Type: spectre_v1
mitigation: usercopy/swapgs barriers and __user pointer sanitization
Type: spectre_v2 mitigation: Full AMD retpoline, IBPB: conditional,
IBRS_FW, STIBP: conditional, RSB filling
Type: srbds status: Not affected
Type: tsx_async_abort status: Not affected
Graphics:
Device-1: AMD Renoir vendor: ASUSTeK driver: amdgpu v: kernel
bus-ID: 04:00.0 chip-ID: 1002:1636 class-ID: 0300
Display: x11 server: X.Org 1.21.1.3 compositor: kwin_x11 driver:
loaded: amdgpu,ati unloaded: modesetting alternate: fbdev,vesa
display-ID: :0 screens: 1
Screen-1: 0 s-res: 1920x1080 s-dpi: 96 s-size: 508x285mm (20.0x11.2")
s-diag: 582mm (22.9")
Monitor-1: eDP res: 1920x1080 hz: 120 dpi: 158
size: 309x174mm (12.2x6.9") diag: 355mm (14")
OpenGL:
renderer: AMD RENOIR (DRM 3.44.0 5.16.8-zen1-1-zen LLVM 13.0.0)
v: 4.6 Mesa 21.3.5 direct render: Yes
Audio:
Device-1: AMD Renoir Radeon High Definition Audio driver: snd_hda_intel
v: kernel bus-ID: 04:00.1 chip-ID: 1002:1637 class-ID: 0403
Device-2: AMD Raven/Raven2/FireFlight/Renoir Audio Processor
vendor: ASUSTeK driver: N/A alternate: snd_pci_acp3x, snd_rn_pci_acp3x,
snd_pci_acp5x, snd_pci_acp6x
bus-ID: 04:00.5 chip-ID: 1022:15e2 class-ID: 0480
Device-3: AMD Family 17h HD Audio vendor: ASUSTeK
driver: snd_hda_intel v: kernel bus-ID: 04:00.6 chip-ID: 1022:15e3
class-ID: 0403
Sound Server-1: ALSA v: k5.16.8-zen1-1-zen running: yes
Sound Server-2: PulseAudio v: 15.0 running: no
Sound Server-3: PipeWire v: 0.3.45 running: yes
Network:
Device-1: Intel Wi-Fi 6 AX200 driver: iwlwifi v: kernel bus-ID: 02:00.0
chip-ID: 8086:2723 class-ID: 0280
IF: wlp2s0 state: up mac: <filter>
Bluetooth:
Device-1: Intel AX200 Bluetooth type: USB driver: btusb v: 0.8
bus-ID: 5-4:3 chip-ID: 8087:0029 class-ID: e001
Report: bt-adapter ID: hci0 rfk-id: 0 state: up address: <filter>
Drives:
Local Storage: total: 953.87 GiB used: 165.76 GiB (17.4%)
SMART Message: Unable to run smartctl. Root privileges required.
ID-1: /dev/nvme0n1 maj-min: 259:0 vendor: Intel model: SSDPEKNW010T8
size: 953.87 GiB block-size: physical: 512 B logical: 512 B
speed: 31.6 Gb/s lanes: 4 type: SSD serial: <filter> rev: 004C
temp: 29.9 C scheme: GPT
Partition:
ID-1: / raw-size: 953.57 GiB size: 953.57 GiB (100.00%)
used: 165.76 GiB (17.4%) fs: btrfs dev: /dev/dm-0 maj-min: 254:0
mapped: luks-c2083ab5-e739-4b3e-af73-4c63321909c4
ID-2: /boot/efi raw-size: 300 MiB size: 299.4 MiB (99.80%)
used: 720 KiB (0.2%) fs: vfat dev: /dev/nvme0n1p1 maj-min: 259:1
ID-3: /home raw-size: 953.57 GiB size: 953.57 GiB (100.00%)
used: 165.76 GiB (17.4%) fs: btrfs dev: /dev/dm-0 maj-min: 254:0
mapped: luks-c2083ab5-e739-4b3e-af73-4c63321909c4
ID-4: /var/log raw-size: 953.57 GiB size: 953.57 GiB (100.00%)
used: 165.76 GiB (17.4%) fs: btrfs dev: /dev/dm-0 maj-min: 254:0
mapped: luks-c2083ab5-e739-4b3e-af73-4c63321909c4
ID-5: /var/tmp raw-size: 953.57 GiB size: 953.57 GiB (100.00%)
used: 165.76 GiB (17.4%) fs: btrfs dev: /dev/dm-0 maj-min: 254:0
mapped: luks-c2083ab5-e739-4b3e-af73-4c63321909c4
Swap:
Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default)
ID-1: swap-1 type: zram size: 15.11 GiB used: 0 KiB (0.0%)
priority: 100 dev: /dev/zram0
Sensors:
System Temperatures: cpu: 40.0 C mobo: N/A gpu: amdgpu temp: 37.0 C
Fan Speeds (RPM): cpu: 2600
Info:
Processes: 332 Uptime: 15m wakeups: 2 Memory: 15.11 GiB
used: 2.47 GiB (16.4%) Init: systemd v: 250 tool: systemctl Compilers:
gcc: 11.1.0 clang: 13.0.1 Packages: pacman: 1398 lib: 358 Shell: Zsh
v: 5.8 running-in: konsole inxi: 3.3.12

Edit : I do have an Nvidia GPU on my machine, not sure the output above shows it since I am running on integrated gpu mode right now.

Should be fine, as long as you're only using repo packages and haven't added a random selection of AUR or third-party things that replace parts critical to the underlying OS.

What's on

of

?

1 Like

The error happens cause expect decides to crash for no reason at all.
When I try to debug why it crashed with gdb, gdb subsequently crashed right after.

My discord chat with a fellow developer friend of mine:
Screenshot_7234

In short, yes it's safe, you can ignore this SIGABRT.

2 Likes